set.seed(77)
# Example for irregular grid is based on the Winnipeg, the capital of province of Manitoba in Canada, with 25 regions. 
##### IrregularData data denoted 1000 generated epidemic data sets########
load(file="c:/Users/Leila Amiri/Desktop/IrregularData.RData")


##### WinnipegAdjacency  denoted the adjacency matrix of Winnipeg#########  
adjacency=load(file="c:/Users/Leila Amiri/Desktop/WinnipegAdjacency.RData")

##The number of samples in each region in the each generated epidemic data
N=c(20,20,10,10,25,10,10,15,10,20,30,20,10,15,20,20,25,20,15,20,20,20,20,20,20)


#################################
library(SpatialILMME)
########### Estimating parameters based on the proposed model ###########
A=Estimation(2,150,0.05,data,adjacency,N,25,20,0,0,1,1,0.7,0.7,0.8,0.5,2.5,0,1,1,1,1,3)
A$SimPAR          ####### Give us estimates of parameters
A$SimVarPar       ####### Give us variances of parameters except variance of measurement error and CAR matrix elements
A$SimVarME        ####### Give us variances of measurement error parameters
A$SimVarSpatial   ####### Give us variances of CAR matrix elements
A$SimPos          ####### Give us Metropolis-Hastings samples generated

########### Estimating parameters based on Naive model ##################
B=NaiveEstimation(2,150,0.05,data,adjacency,N,25,20,0,0,1,1,0.8,0.5,2.5,0,1,1,1,1,3)
B$SimPAR          ####### Give us estimates of parameters
B$SimVarPar       ####### Give us variances of parameters except variance of  CAR matrix elements
B$SimVarSpatial   ####### Give us variances of CAR matrix elements
B$SimPos          ####### Give us Metropolis-Hastings samples generated
