##########################################
# Data generation based on the 8 by 8 grid
##########################################
g=8 ##### grid dimension
d=2 ##### distance between cells
nSample=8  #### number of sample in each cell
N=rep(nSample,(g^2))  #### vector of samples generated in each cell
n=sum(N) ##### total number of samples

ITER=2  #####number of iterations
data=array(0,c(n,2,ITER))
for(iter in 1:ITER){
#####################
x11=matrix(0,nSample,g)
for(i in 1:g){
  x11[,i]=runif(nSample,0,d*1)
}
x1=c(x11)

x22=matrix(0,nSample,g)
for(i in 1:g){
  x22[,i]=runif(nSample,d*1,d*2)
}
x2=c(x22)



x33=matrix(0,nSample,g)
for(i in 1:g){
  x33[,i]=runif(nSample,d*2,d*3)
}
x3=c(x33)


x44=matrix(0,nSample,g)
for(i in 1:g){
  x44[,i]=runif(nSample,d*3,d*4)
}
x4=c(x44)

x55=matrix(0,nSample,g)
for(i in 1:g){
  x55[,i]=runif(nSample,d*4,d*5)
}
x5=c(x55)


x66=matrix(0,nSample,g)
for(i in 1:g){
  x66[,i]=runif(nSample,d*5,d*6)
}
x6=c(x66)



x77=matrix(0,nSample,g)
for(i in 1:g){
  x77[,i]=runif(nSample,d*6,d*7)
}
x7=c(x77)

x88=matrix(0,nSample,g)
for(i in 1:g){
  x88[,i]=runif(nSample,d*7,d*8)
}
x8=c(x88)






y11=matrix(0,nSample,g)
for(i in 1:g){
  y11[,i]=runif(nSample,d*(i-1),d*i)
}
y1=c(y11)


y22=matrix(0,nSample,g)
for(i in 1:g){
  y22[,i]=runif(nSample,d*(i-1),d*i)
  
}
y2=c(y22)

y33=matrix(0,nSample,g)
for(i in 1:g){
  y33[,i]=runif(nSample,d*(i-1),d*i)
  
}
y3=c(y33)

y44=matrix(0,nSample,g)
for(i in 1:g){
  y44[,i]=runif(nSample,d*(i-1),d*i)
}
y4=c(y44)


y55=matrix(0,nSample,g)
for(i in 1:g){
  y55[,i]=runif(nSample,d*(i-1),d*i)
}
y5=c(y55)

y66=matrix(0,nSample,g)
for(i in 1:g){
  y66[,i]=runif(nSample,d*(i-1),d*i)
}
y6=c(y66)

y77=matrix(0,nSample,g)
for(i in 1:g){
  y77[,i]=runif(nSample,d*(i-1),d*i)
}
y7=c(y77)


y88=matrix(0,nSample,g)
for(i in 1:g){
  y88[,i]=runif(nSample,d*(i-1),d*i)
}
y8=c(y88)


xxx=c(x1,x2,x3,x4,x5,x6,x7,x8)
yyy=c(y1,y2,y3,y4,y5,y6,y7,y8)

data[,,iter]=cbind(xxx,yyy)
}



#### Find adjacency matrix ##########
library(ngspatial)
A1=adjacency.matrix(g, g)
A2=colSums(A1)
D=-A1
diag(D)=A2


#################################
library(SpatialILMME)
########### Estimating parameters based on the proposed model ###########
A=Estimation(2,100,0.05,data,D,N,25,20,0,0,1,1,0.7,0.7,0.8,0.5,2.5,0,1,1,1,1,3)
A$SimPAR          ####### Give us estimates of parameters
A$SimVarPar       ####### Give us variances of parameters except variance of measurement error and CAR matrix elements
A$SimVarME        ####### Give us variances of measurement error parameters
A$SimVarSpatial   ####### Give us variances of CAR matrix elements
A$SimPos          ####### Give us Metropolis-Hastings samples generated

########### Estimating parameters based on Naive model ##################
B=NaiveEstimation(2,100,0.05,data,D,N,25,20,0,0,1,1,0.8,0.5,2.5,0,1,1,1,1,3)
B$SimPAR          ####### Give us estimates of parameters
B$SimVarPar       ####### Give us variances of parameters except variance of  CAR matrix elements
B$SimVarSpatial   ####### Give us variances of CAR matrix elements
B$SimPos          ####### Give us Metropolis-Hastings samples generated



