% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/Estimation.R
\name{Estimation}
\alias{Estimation}
\title{Estimating parameters along with corresponding variances based on the proposed model.}
\usage{
Estimation(
  ITER,
  MHiteration,
  eps,
  data,
  adjacency,
  N,
  mm,
  time,
  MuxStar0,
  MuxInd0,
  SigmaxStar0,
  SigmaxInd0,
  Sigmav0,
  Sigmaw0,
  lambda0,
  sigma0,
  delta0,
  alpha0,
  beta10,
  beta20,
  beta30,
  beta40,
  InfPeriod
)
}
\arguments{
\item{ITER}{The number of simulation runs.}

\item{MHiteration}{The number of iterations in Metropolis–Hastings algorithm.}

\item{eps}{Stopping value for MCECM algorithm.}

\item{data}{Array of data. First two dimensions are XY coordinates of samples and third dimension shows the specific run number.}

\item{adjacency}{Adjacency matrix.}

\item{N}{A vector contains the number of individual at each regions. Elements of this vector should be compatable with the Adjacency matrix.}

\item{mm}{Number of areas.}

\item{time}{Maximum time.}

\item{MuxStar0}{Mean of unobserved areal level covariate.}

\item{MuxInd0}{Mean of unobserved individual level covariate.}

\item{SigmaxStar0}{Variance of unobserved areal level covariate.}

\item{SigmaxInd0}{Variance of unobserved individual level covariate.}

\item{Sigmav0}{Variance of areal level measurement error varaible.}

\item{Sigmaw0}{Variance of individual level measurement error varaible.}

\item{lambda0}{Spatial dependency parameter.}

\item{sigma0}{Over dispersion parameter.}

\item{delta0}{The spatial parameter.}

\item{alpha0}{Initial value for intercept.}

\item{beta10}{Initial value for coefficient of observed individual level covariate.}

\item{beta20}{Initial value for coefficient of observed areal level covariate.}

\item{beta30}{Initial value for coefficient of unobserved individual level covariate.}

\item{beta40}{Initial value for coefficient of unobserved areal level covariate.}

\item{InfPeriod}{The infectious period length.}
}
\description{
Estimating parameters along with corresponding variances based on the proposed model.
}
